function pos(ele){
	var el = ele, left = 0, top = 0;
	do {
		left += el.offsetLeft || 0;top += el.offsetTop || 0;el = el.offsetParent;
		} 
		while (el);
		return {x: left, y: top};
		}
		function hint(){
			var kwd = $('keyword');
			var h = $('kwh');
			if(!h) {h=dc("DIV");
			h.style.display="none";
			h.id="kwh";
			document.body.appendChild(h);
		}
		if(!kwd.value || !kwd.value.length || event.keyCode==27 || event.keyCode==13){
			h.style.display='none';
			return;
		}
		if(event.keyCode == 38 || event.keyCode == 40){
			if(h.style.display=='none') 
			return;
			if(event.keyCode == 38){
				if(h._i == -1) h._i = h.firstChild.rows.length-1;else h._i--;
			}else 
				h._i++;
			for(var i=0; i<h.firstChild.rows.length; i++)
				h.firstChild.rows[i].style.backgroundColor = "#ECF5FF";
			if(h._i >= 0 && h._i < h.firstChild.rows.length)with(h.firstChild.rows[h._i]){
				style.backgroundColor = "#88C4FF";
				kwd.value = cells[0]._h;
			}else{ 
				kwd.value = h._kw;h._i = -1;
			}
		}else{
			h._i=-1;
			h._kw=kwd.value;gh(kwd.value);
			var p = pos(kwd);
			with(h.style){
				left=p.x;
				top=p.y+kwd.offsetHeight;
				width=kwd.offsetWidth;
			}
		}
	}
	function gh(key){
		if($('gsuggest'))$('gsuggest').removeNode(true);
		var sg=document.body.appendChild(dc('script'));
		sg.id='gsuggest';
		sg.charset='utf-8';
		sg.src='http://www.google.cn/complete/search?hl=zh-CN&client=suggest&js=true&q=' + encodeURIComponent(key);
	}
	window.google = {};
	window.google.ac = {};
	window.google.ac.Suggest_apply = function(a, b, c, d) 
											{    
												if(!c || c.length<3) 
												 	return;
												if(b != $('keyword').value) 
													return;
												var ihtml='';
												for(var j=1;j<c.length;j+=2)
													if(c[j].indexOf("hao123.")<0)
														ihtml += '<tr style="cursor:hand" onmouseover="this.style.backgroundColor=\'#88C4FF\';$(\'keyword\').value=\'' + c[j] +'\';" onmouseout="this.style.backgroundColor=\'#ECF5FF\';"><td _h="' + c[j] + '"><a><span>' + c[j+1] + '</span> ' + c[j] + '</a></td></tr>';$('kwh').innerHTML='<table width="100%" border=0 cellpadding=0 cellspacing=1>'+ihtml+'</table>';$('kwh').style.display="block";};